#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sox
Version		:	14.4.2
Release		:	17.2.0.rel%{?dist}
Summary		:	A general purpose sound file conversion tool

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and MIT 
URL		:	http://sox.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	flac-devel
BuildRequires	:	gsm
BuildRequires	:	lame
Buildrequires	:	libvorbis
Buildrequires	:	libpng
Buildrequires	:	libsndfile
Buildrequires	:	opus-devel
BuildRequires	:	pulseaudio

#-----------------------------------------------------------------------------
%description
SoX (Sound eXchange) is a sound file format converter. SoX can convert
between many different digitized sound formats and perform simple
sound manipulation functions, including sound effects.

#-----------------------------------------------------------------------------
%files			
%doc AUTHORS README
%license COPYING
%{_bindir}/play
%{_bindir}/rec
%{_bindir}/%{name}
%{_bindir}/%{name}i
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz
#=============================================================================
%package		devel
Summary		:	The SoX sound file format converter libraries

#-----------------------------------------------------------------------------
Requires	:	%{name}			=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.


#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3.gz
#=============================================================================
%prep
%setup -q
autoreconf -vfi

#-----------------------------------------------------------------------------
#building application
%build


CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-lpc10					\
	--with-alsa					\
	--with-flac					\
	--with-gsm					\
	--with-mp3					\
	--with-distro=osukiss				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#=============================================================================
%changelog
